# Enum Class JexlMissingValueTreatment

java.lang.Object
java.lang.Enum<JexlMissingValueTreatment>
htsjdk.variant.variantcontext.JexlMissingValueTreatment

All Implemented Interfaces:
  `Serializable, Comparable<JexlMissingValueTreatment>, Constable`

public enum JexlMissingValueTreatment extends Enum<JexlMissingValueTreatment>
How to treat values that appear in a jexl expression but are missing in the context it's applied to

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`THROW`
Treat expressions with a missing value as an error and throw an `IllegalArgumentException`
`TREAT_AS_MATCH`
Treat expressions with a missing value as a match and evaluate to true
`TREAT_AS_MISMATCH`
Treat expressions with a missing value as a mismatch and evaluate to false

## Method Summary

Modifier and Type
Method
Description
`static JexlMissingValueTreatment`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JexlMissingValueTreatment[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TREAT_AS_MISMATCH

public static final JexlMissingValueTreatment TREAT_AS_MISMATCH
Treat expressions with a missing value as a mismatch and evaluate to false

### TREAT_AS_MATCH

public static final JexlMissingValueTreatment TREAT_AS_MATCH
Treat expressions with a missing value as a match and evaluate to true

### THROW

public static final JexlMissingValueTreatment THROW
Treat expressions with a missing value as an error and throw an `IllegalArgumentException`

## Method Details

### values

public static JexlMissingValueTreatment[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JexlMissingValueTreatment valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null